Subject: [PATCH v5 0/5] DRAFT: Update julia to 1.6.1.

From: Jean-Baptiste Volatier <[email-masked]>
Date: Sat, 03 Jul 2021 17:41:22 +0000

"Maxime Devos" <[email-masked]> writes:

> 'DerivedCoreProperties.txt" is in 'native-inputs',
> so you need to do (assoc-ref (or native-inputs inputs) (string-append "data/" i))

I updated ut8proc to fix this. The problem was also present in utf8proc-2.5.0
so I also fixed it there.

> The cross-compiler TARGET-gcc is require when cross-compiling,
> so you need ,(string-append "CC=" (cc-for-target)) instead of "CC=gcc"
> here. "gcc" is always the native compiler.

Done.

Additionaly upstream fixed the tests of staticarrays that were failing for
julia 1.6, so I also updated it.

Cheers,
JB

Jean-Baptiste Volatier (5):
  gnu: Add utf8proc-2.6.1.
  gnu: Add pcre2-10.36.
  gnu: openlibm: Update to 0.7.4.
  gnu: julia-staticarrays: Update to 1.2.5
  DRAFT gnu: julia: Update to 1.6.1.

 gnu/packages/julia-xyz.scm |   4 +-
 gnu/packages/julia.scm     | 353 +++++++++++++++++++++++++------------
 gnu/packages/maths.scm     |   6 +-
 gnu/packages/pcre.scm      |  14 ++
 gnu/packages/textutils.scm |  46 ++++-
 5 files changed, 302 insertions(+), 121 deletions(-)

base-commit: cb51663a41e945cd70f9cf6c7d252c6c5136520d
--
2.32.0